###################################################################################################
##########                              EXERCISE: BUGFIXING                              ##########
###################################################################################################
# This function should compute the sum of numbers in a list, but it has a bug! Your task is:
# Step 1: try calling this function on a few lists of numbers to find the bug
# Step 2: fix the bug once you find it.

###################################################################################################
# If you have extra time
# Step 1: Instead of returning the sum, try to return the average of numbers in the list
# Step 2: Try returning the sum of only positive numbers in the list

###################################################################################################


def list_sum(numbers):
    """
    Computes the sum of all numbers in a list - BUGGY

    Arguments:
        numbers (List[int/float]): the numbers to sum

    Returns:
        int/float: the sum of the numbers
    """
    total = 0 
    for number in numbers:
        total += number
    return total

print(list_sum([1, 2]))


###################################################################################################
##########                       EXERCISE: MAXIMUM NUMBER FUNCTION                       ##########
###################################################################################################
# Step 1: Convert this code to a function that takes numbers as input and returns the maximum
#         number
###################################################################################################
# If you have extra time
# Step 1: Copy this function and write another one that does the same thing,
#         but finds the minimum number in a list of negative numbers
# Step 2: Find a way to make these functions work when you don't know if the numbers are negative
#         or positive
# Step 3: Write a single function with an extra argument that can find the minimum if the input is
#         "minimum" and can find the maximum if the input is "maximum"

###################################################################################################

# create a list of numbers
def find_max_number(numbers):
    max_number = 0
    for number in numbers:
        # update max_number if the current number is higher
        if number > max_number:
            max_number = number
        
    # once we reach the end of the loop, max_number is the highest number in the list
    return max_number

print(find_max_number([2, 40, 5, 20, 82]))
print(find_max_number([17, 6, 69, 25, 4]))
